Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1061388 - SELinux is preventing /usr/sbin/rsyslogd from 'read' accesses on the file system.journal.
Summary: SELinux is preventing /usr/sbin/rsyslogd from 'read' accesses on the file sys...
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: 20
Hardware: i686
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Miroslav Grepl
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:7ee6d007a440d0da5b85f271f3d...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-02-04 18:13 UTC by ZiN
Modified: 2014-03-05 16:29 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-03-05 16:29:13 UTC


Attachments (Terms of Use)

Description ZiN 2014-02-04 18:13:31 UTC
Description of problem:
SELinux is preventing /usr/sbin/rsyslogd from 'read' accesses on the file system.journal.

*****  Plugin catchall (100. confidence) suggests   **************************

If вы считаете, что rsyslogd следует разрешить доступ read к system.journal file по умолчанию.
Then Рекомендуется создать отчет об ошибке.
Чтобы разрешить доступ, можно создать локальный модуль политики.
Do
Чтобы разрешить доступ, выполните:
# grep rsyslogd /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Additional Information:
Source Context                system_u:system_r:syslogd_t:s0
Target Context                system_u:object_r:var_run_t:s0
Target Objects                system.journal [ file ]
Source                        rsyslogd
Source Path                   /usr/sbin/rsyslogd
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           rsyslog-7.4.2-2.fc20.i686
Target RPM Packages           
Policy RPM                    selinux-policy-3.12.1-106.fc20.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     (removed)
Platform                      Linux (removed) 3.12.6-300.fc20.i686+PAE #1 SMP
                              Mon Dec 23 17:02:24 UTC 2013 i686 i686
Alert Count                   20
First Seen                    2014-01-06 21:37:31 MSK
Last Seen                     2014-01-11 16:41:07 MSK
Local ID                      1708b471-dc78-4909-acd1-e9954597295e

Raw Audit Messages
type=AVC msg=audit(1389444067.33:1869): avc:  denied  { read } for  pid=4459 comm="in:imjournal" name="system.journal" dev="tmpfs" ino=1517 scontext=system_u:system_r:syslogd_t:s0 tcontext=system_u:object_r:var_run_t:s0 tclass=file


type=SYSCALL msg=audit(1389444067.33:1869): arch=i386 syscall=open success=no exit=EACCES a0=a1901d40 a1=88000 a2=0 a3=0 items=0 ppid=1 pid=4459 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 ses=4294967295 tty=(none) comm=in:imjournal exe=/usr/sbin/rsyslogd subj=system_u:system_r:syslogd_t:s0 key=(null)

Hash: rsyslogd,syslogd_t,var_run_t,file,read

Additional info:
reporter:       libreport-2.1.12
hashmarkername: setroubleshoot
kernel:         3.12.8-300.fc20.i686+PAE
type:           libreport

Comment 1 Daniel Walsh 2014-02-14 19:08:49 UTC
Did you set something strange up, or is this just rsyslogd interacting with the journal?

Comment 2 ZiN 2014-02-16 16:02:29 UTC
Yes, Daniel, it's just rsyslog interacting with journal.

Comment 3 Daniel Walsh 2014-02-18 15:25:53 UTC
Where is system.journal located?  If you run restorecon on it does the label change?

Comment 4 ZiN 2014-02-28 15:38:30 UTC
It seems that it was a mislabelling.
Now after selinux-policy upgrade system.journal has var_log_t label.


Note You need to log in before you can comment on or make changes to this bug.